import $req from '../request';
/**
 * 家长老师-奖励管理
 * @param data 请求参数
 */
export const getRewardListApi = params =>
    $req({
        method: 'get',
        url: '/userRewardMapping/list',
        params,
    });
/**
 * 家长老师-新增奖励
 * @param data 请求参数
 */
export const addRewardApi = data =>
    $req({
        method: 'post',
        url: '/userRewardMapping',
        data,
    });
/**
 * 家长老师-修改奖励
 * @param data 请求参数
 */
export const updateRewardApi = data =>
    $req({
        method: 'put',
        url: '/userRewardMapping',
        data,
    });
/**
 * 家长老师-删除奖励
 * @param data 请求参数
 */
export const deleteRewardApi = ids =>
    $req({
        method: 'delete',
        url: `/userRewardMapping/${ids}`,
    });
/**
 * 家长老师-奖励详情
 * @param data 请求参数
 */
export const getRewardDetailApi = id =>
    $req({
        method: 'get',
        url: `/userRewardMapping/${id}`,
    });
